SerializableTable (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableTable

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableTable

All Implemented Interfaces:
  Serializable

    public class SerializableTable

extends Object
implements Serializable

`SerializableTable` class represent a template component that can be serializable the TableModel class used in the model cannot be serializable

Version:
  October 2009 (1.4)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`SerializableTable()` default constructor
`SerializableTable(int colsNo)` actual one

Method Summary
`boolean` | `addRow(ArrayList<TableCell> row)` Gets the ArrayList of Strings row in the specified row.
`protected void` | `checkCellBounds(int row, int column)` Bounds checks that the cell exists at the specified location.
`protected void` | `checkRowBounds(int row)` Checks that the row is within the correct bounds.
`int` | `getCellCount(int row)`
`int` | `getColsNo()`
`ArrayList<TableCell>` | `getRow(int i)`
`int` | `getRowCount()`
`ArrayList<ArrayList<TableCell>>` | `getTable()`
`TableCell` | `getValue(int row, int column)` Gets the value in the specified cell.
`void` | `setColsNo(int colsNo)`
`void` | `setTable(ArrayList<ArrayList<TableCell>> table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableTable

    public SerializableTable()

  default constructor

### SerializableTable

    public SerializableTable(int colsNo)

  actual one

  Parameters:
    `colsNo` - the number of columns of the table

Method Detail

### addRow

    public boolean addRow(ArrayList<TableCell> row)

  Gets the ArrayList of Strings row in the specified row.

  Parameters:
    `row` - the table's row

### getValue

    public TableCell getValue(int row,
                              int column)

  Gets the value in the specified cell.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
  Returns:
    the String in the specified cell, or `null` if none is present
  Throws:
    `IndexOutOfBoundsException`

### checkCellBounds

    protected void checkCellBounds(int row,
                                   int column)

  Bounds checks that the cell exists at the specified location.

  Parameters:
    `row` - cell's row
    `column` - cell's column
  Throws:
    `IndexOutOfBoundsException`

### checkRowBounds

    protected void checkRowBounds(int row)

  Checks that the row is within the correct bounds.

  Parameters:
    `row` - row index to check
  Throws:
    `IndexOutOfBoundsException`

### getRowCount

    public int getRowCount()

  Returns:
    .

### getCellCount

    public int getCellCount(int row)

  Parameters:
    `row` - .
  Returns:
    .

### getColsNo

    public int getColsNo()

  Returns:
    .

### setColsNo

    public void setColsNo(int colsNo)

  Parameters:
    `colsNo` - .

### getRow

    public ArrayList<TableCell> getRow(int i)

  Parameters:
    `i` -
  Returns:

### getTable

    public ArrayList<ArrayList<TableCell>> getTable()

  Returns:
    .

### setTable

    public void setTable(ArrayList<ArrayList<TableCell>> table)

  Parameters:
    `table` - .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.